# Actions and filters

## WordPress documentation on actions and filters.

<https://codex.wordpress.org/Plugin_API/Action_Reference>

<https://codex.wordpress.org/Plugin_API/Filter_Reference>

## Actions <a href="#actions" id="actions"></a>

### board\_changed\_hook

**Parameters:** `$page_id`, the id of the page that the board is connected to (action will fire multiple times if board is connected to multiple pages).

**Description:** This action is triggered when a board has been updated or changed in any way.

## Filters <a href="#filters" id="filters"></a>

### ew\_content\_container\_fill

**Parameters:** `$array = []`, starts out with an empty array and let the developer fill it with content, mainly article objects.

**Description:** This filter let the developer populate an array of article objects for use in a board, the array will be the data that is used when rendering "Content Containers" in a board. A typical use for this would be an automatic category page, the same board could be used and the page would use different queries to Open Content to populate the content container data with articles for a specific category.

### ~~everylist\_iframe\_buttons~~

*Everylist is deprecated. Use* [*OC List*](/everyware/starter-kit-packages/everyboard/widgets/oc-list.md) *instead.*

**Parameters:** `$button_arr = []`, an array of button data.

**Description:** This filter has an array of buttons in, with text and src of the link. The buttons will be added to the Everylist interface.

**Example:**

```php
add_filter( 'everylist_iframe_buttons', function($button_arr) {

    $button_arr[] = [
        'title' => 'Example button',
        'src'   => 'https://www.example.com/'
    ];

    return $button_arr;
} );
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/everyware/starter-kit-packages/everyboard/actions-and-filters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
